pro ssw_ar_summary, date , www=www, outdir=outdir, waves=waves , $
    outhtml=outhtml, nodoc=nodoc, thumbsize=thumbsize

if n_elements(thumbsize) eq 0 then thumbsize=356

if n_elements(date) eq 0 then date=reltime(/now)
if not data_chk(outdir,/string) then $
   outdir='/net/diapason/www1/htdocs/solarsoft/last_events'

if n_elements(waves) eq 0 then waves=str2arr('284,195,304')
swaves=strtrim(waves,2)
mapar=[1,0,0]                                               ; true to imap/AR
grid=[15,0,0]
locut=[5,5,5]
hicut=[1000,1500,1500]
outhtml=['<table border=2 cellpadding=2  cellspacing=3>', $
         '<tr align=center>' ]

charsize=[.5,1]

zsizes=[thumbsize,1024]
for i=0,n_elements(waves)-1 do begin 
   fdfiles=sswdb_files(date,pat='_'+swaves(i)+'_',/l1q)
   mreadfits,last_nelem(fdfiles),fdindex,fddata
   eit_colors,gt_tagval(fdindex,/wavelnth,missing='')
   sdata=do_eit_scaling(fddata>0<1200,index=fdindex,/no_prep,/log)
   index2map,fdindex,sdata,fdmap
   instr=gt_tagval(fdindex,/instrume,missing='')
   if strupcase(instr) eq 'EIT' then fdindex.origin = 'SoHO'
   break_file,last_nelem(fdfiles), ll,pp,ff,ee,vv

for zs=0,n_elements(zsizes)-1 do begin 
   wdef,xx,zsizes(zs),/zbuff
   plot_map,fdmap,grid=grid(i),margin=.05, charsize=charsize(zs), fov=40
   gname=ff+'_'+strtrim(zsizes(zs),2)+'.png'
   if mapar(i) and zsizes(zs) eq thumbsize then begin 
      box_message,'oplot_nar/imap'
      oplot_nar,fdindex,/imap,imars=imars,imagemap_coord=imagemap_coord
      if not keyword_set(urls) then begin
         box_message,'using BBSO ARM urls'
         urls='http://www.bbso.njit.edu/arm/latest/'+strtrim(imars,2) + '.html'
      endif
      imghtml=ssw_imapcoord2html(gname,imagemap_coord, $
         urls,target='bbsoarm',mapsize=zsizes(zs), $
         deftarget='fulldisk', default_href=str_replace(gname,'356','1024'))
   endif else begin 
      case 1 of
         mapar(i): imghtml='' 
         zsizes(zs) eq max(zsizes): begin 
             imghtml=str2html(gname,$
              link=str_replace(gname,'1024.png','356.png'),/nopar) 
             imghtml=str_replace(imghtml,'A HREF','A target="fulldisk" HREF')
         endcase
         else:imghtml=''
      endcase
   endelse 
   zbuff2file2,concat_dir(outdir,gname)
   if imghtml(0) ne '' or n_elements(imghtml) gt 1 then $
      outhtml=[outhtml,'<td>',imghtml,'</td>']
endfor
endfor

outhtml=[outhtml,'</tr></table>']
if not keyword_set(nodoc) then begin 
   arhtmldoc=concat_dir(outdir,'armap.html')
   html_doc,arhtmldoc,/header
   file_append,arhtmldoc,outhtml
   html_doc,arhtmldoc,/trailer
endif

return
end
