pro ssw_gev2eit_movie,gevloc, parent_path=parent_path , $ 
   window_minutes=window_minutes, pixfov=pixfov, refresh=refresh, $
   goes=goes, _extra=_extra, debug=debug

debug=keyword_set(debug)

goes=keyword_set(goes)

if not required_tags(gevloc,'date_obs,ename,helio,xcen') then begin 
   box_message,'Routine requires record from ssw_gev_locator'
   return
endif

if gevloc.helio eq '' then begin 
   box_message,'This event not yet located (no image data?)'
   return
endif

if not data_chk(movie_dir,/string) then $
   parent_path='/net/diapason/www1/htdocs/solarsoft/latest_events_summary'

movie_dir=strtrim(strcompress(concat_dir(parent_path,gevloc.ename),/remo),2)
if n_elements(pixfov) eq 0 then pixfov=128

if not file_exist(movie_dir) then spawn,['mkdir','-p',movie_dir],/noshell

movie_name=strtrim(strcompress(gevloc.ename+'_lm',/rem),2)
makeit=keyword_set(refresh) or $
   1-file_exist((concat_dir(movie_dir,movie_name+'.html')))
if not makeit then begin 
   box_message,[ 'Flare location movie already made for ' + gevloc.ename, $
                 'Use /REFRESH to force update']
   return
endif else if debug then stop,'makeit'

if not keyword_set(window_minutes) then window_minutes=[-30,30]

time_window,[gevloc.fstart,gevloc.fstop],mt0,mt1,minute=window_minutes

e195=sswdb_files(mt0,mt1,/l1q,pat='_195_')
if e195(0) eq '' then begin 
   box_message,'No image data for this event (fell out of queue?)
   return 
endif

if n_elements(e195) lt 2 then begin 
   box_message,'Not enough images for a movie, returning
   return
endif

mreadfits,e195,index,data
sdata=bytscl(do_eit_scaling(data,/log,/no_prep))
dindex=gevloc
dindex=add_tag(dindex,index.cdelt1,'cdelt1')
dindex=add_tag(dindex,index.cdelt2,'cdelt2')
dindex=add_tag(dindex,pixfov,'naxis1')
dindex=add_tag(dindex,pixfov,'naxis2')
refdata=bytarr(pixfov,pixfov)
index2map,dindex,refdata,ref_map                    ; make a reference map


index2map,index,sdata,emaps
sub_map,emaps,fovmaps, ref_map=ref_map,/preserve
fddata=cube_edit(sdata,/data,ss=lindgen(data_chk(sdata,/nimag)),nx=256)
fovdata=cube_edit(fovmaps.data,/data,ss=lindgen(data_chk(fddata,/nimag)),nx=256)

if debug then stop,'fovmaps'
map2index,add_tag(fovmaps,0.,'roll'),fovii,fovdd 
fddata=ssw_fov_context_cube(fovii,fovdd,margin=.05,$
   fdmap=emaps,xsize=256,_extra=_extra)

movie_data=[fddata,bytscl(fovdata)]
if goes then begin 
   event_movie,index,data=temporary(movie_data),movie_data,/goes,/reverse
endif
if debug then stop,'movie_dir
 
set_plot,'z'
eit_colors,195,r,g,b
image2movie,movie_data,r,g,b,html=html,uttimes=index, $
 movie_dir=movie_dir,movie_name=movie_name,/java,/inctimes,thumbsize=128
 
file_append,movie_name+'.dat',html,/new

if debug then stop,'emaps,fovmaps'
return
end

